| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
NCVVectorAlloc< T > Class Template Reference
CUDA-accelerated Computer Vision » Legacy support

`#include <opencv2/cudalegacy/NCV.hpp>`

Collaboration diagram for NCVVectorAlloc< T >:

## Public Member Functions
| NCVVectorAlloc (INCVMemAllocator &allocator_, Ncv32u length_)
| ~NCVVectorAlloc ()
Ncv32u | getAllocatorsAlignment () const
NCVMemSegment | getSegment () const
NcvBool | isMemAllocated () const
Public Member Functions inherited from NCVVector< T >
| NCVVector ()
virtual | ~NCVVector ()
void | clear ()
NCVStatus | copySolid (NCVVector< T > &dst, cudaStream_t cuStream, size_t howMuch=0) const
size_t | length () const
NCVMemoryType | memType () const
T * | ptr () const

## Additional Inherited Members
Protected Attributes inherited from NCVVector< T >
size_t | _length
NCVMemoryType | _memtype
T * | _ptr

## Detailed Description

template<class T>
class NCVVectorAlloc< T >

NCVVectorAlloc

## Constructor & Destructor Documentation

## ◆ NCVVectorAlloc()

template<class T >

NCVVectorAlloc< T >::NCVVectorAlloc | ( | INCVMemAllocator & | allocator_,
|  | Ncv32u | length_ )
| inline

Here is the call graph for this function:

## ◆ ~NCVVectorAlloc()

template<class T >

NCVVectorAlloc< T >::~NCVVectorAlloc | ( |  | ) |
| inline

Here is the call graph for this function:

## Member Function Documentation

## ◆ getAllocatorsAlignment()

template<class T >

Ncv32u NCVVectorAlloc< T >::getAllocatorsAlignment | ( |  | ) | const
| inline

Here is the call graph for this function:

## ◆ getSegment()

template<class T >

NCVMemSegment NCVVectorAlloc< T >::getSegment | ( |  | ) | const
| inline

## ◆ isMemAllocated()

template<class T >

NcvBool NCVVectorAlloc< T >::isMemAllocated | ( |  | ) | const
| inline

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- opencv2/cudalegacy/NCV.hpp